package com.ruoyi.project.business.mapper;

import com.ruoyi.project.business.domain.TpAreaParaSelectItem;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author ruoyi
 * @date 2024-04-25
 */
public interface TpAreaParaSelectItemMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public TpAreaParaSelectItem selectTpAreaParaSelectItemById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tpAreaParaSelectItem 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TpAreaParaSelectItem> selectTpAreaParaSelectItemList(TpAreaParaSelectItem tpAreaParaSelectItem);

    /**
     * 新增【请填写功能名称】
     * 
     * @param tpAreaParaSelectItem 【请填写功能名称】
     * @return 结果
     */
    public int insertTpAreaParaSelectItem(TpAreaParaSelectItem tpAreaParaSelectItem);

    /**
     * 修改【请填写功能名称】
     * 
     * @param tpAreaParaSelectItem 【请填写功能名称】
     * @return 结果
     */
    public int updateTpAreaParaSelectItem(TpAreaParaSelectItem tpAreaParaSelectItem);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteTpAreaParaSelectItemById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTpAreaParaSelectItemByIds(Long[] ids);

    int InsertBySql(List<TpAreaParaSelectItem> list);

    int deleteTpAreaParaSelectItemByParaIds(@Param("ids") Long[] ids,@Param("elevatorModelId") Long elevatorModelId);

    int realDeleteTpAreaParaSelectItemByParaIds(@Param("ids") Long[] ids,@Param("elevatorModelId") Long elevatorModelId);

    List<TpAreaParaSelectItem> selectTpAreaParaSelectItemListByIds(@Param("ids")List<Long> ids);

    public int deleteTpAreaParaSelectItemByElevatorModelId(Long elevatorModelId);

    public int removeTpAreaParaSelectItemByElevatorModelId(Long elevatorModelId);
}
